/**
 * 登录JS
 */
function checkUserLogin(){
	if(userInfo==null)
	{
		$.toast("使用平台，请先登录!");
		goToLoginPage();
	}else{
		//查询自己的项目信息已经最新的消息信息
		getProjectInfo();
	}
}

function initProjctInfo(){
	var projectid = window.localStorage? localStorage.getItem("project_id"): Cookie.read("project_id");
	if(projectid!=null && projectid!=""  && projectid!="null" && projectid!='undefined')
	{
		
	}else{
		projectid = getCookie('project_id');
	}
	projectId = projectid ;
	if(projectId!=null)
	{
		initProjectInfoFromCook();
	}
	
}

function initUserInfoByCookie(){
	var user_id = window.localStorage? localStorage.getItem("user_id"): Cookie.read("user_id");
	if(user_id!=null && user_id!=""  && user_id!="null" && user_id!='undefined')
	{
	}else{
		user_id = getCookie('user_id');
	}
	if(user_id!=null)
	{
		var param =
		{
			'manager_id':user_id
		}
		$.ajax({
			    type: "POST",
			    url: basePath + "getManagerInfoById",
			    data: param,
			    success: function(data) {
			    if(data.code == "TRUE"){ 
			       userInfo=data.obj;
			       initProjctInfo();
			       $("#manager_name").text(userInfo.user_name);
			     }else if(data.code == "FALSE"){
			    	 
			     }
			   }
		});
	}
}

/**
 * 返回到相应的操作界面
 * 当没有登录点击返回按钮,回到相应的界面以及效果
 */
function loginBack() {
	$.router.loadPage("#mainPage");
	$("#mainPage").css('display','block');
	$("#loginPage").css('display','none');

}


/**
 * 跳向注册界面
 */
function goToRegisterPage(){
  //初始化登录界面数据为空
  $.router.loadPage("#registerPage");
  initLoginPageContent();
  initRegisterPage();
  $("#loginPage").css('display','none');
  $("#registerPage").css('display','block');
}
/**
 * 跳向登录界面
 */
function goToLoginPage(){
  $.router.loadPage("#loginPage");
  $("#registerPage").css('display','none');
  $("#mainPage").css('display','none');
  $("#loginPage").css('display','block');
  initLoginPageContent();
}


/**
 * 初始化登录信息
 */
function initLoginPageContent(){
  $("#loginPage_user_name").val("");
  $("#loginPage_user_password").val("");
}

/**
 * 登录
 */
function loginUser(){
  var loginPage_user_name=$.trim($("#loginPage_user_name").val());
  var loginPage_user_password=$.trim($("#loginPage_user_password").val());
  if(null == loginPage_user_name || loginPage_user_name == "" || typeof(loginPage_user_name) == "undefined"){
    $.toast("帐号/手机号为空!");
    return;
  }
  
  if(null == loginPage_user_password || loginPage_user_password == "" || typeof(loginPage_user_password) == "undefined"){
    $.toast("密码为空!");
    return;
  }
  //传参
  var param = {
    'user_account': loginPage_user_name,
    'user_pwd': loginPage_user_password
  };
  //开启进度条
  $.showIndicator();
  $.ajax({
    type: "POST",
    url: basePath + "userLogin",
    data: param,
    success: function(data) {
      //关闭进度条
      $.hideIndicator();
      if(data.code == "TRUE"){ 
        userInfo=data.obj;
        if (window.localStorage) {
		    localStorage.setItem("user_id", userInfo.user_id);	
		}
        setCookie("user_id", userInfo.user_id,'365');
        $.router.loadPage("#mainPage");
        $("#loginPage").css('display','none');
        $("#manager_name").text(userInfo.user_name);
        $("#mainPage").css('display','block');
        getProjectInfo();
        //初始化数据信息
      }else if(data.code == "FALSE"){
        $.toast(data.msg);
      }
    }
  });
}
function exitLogin(){
	userInfo = null;
	if(window.localStorage) {
	    localStorage.removeItem("user_id");	
      } else {
		setCookie("user_id", '','365');	
	  }
	setCookie("user_id", '','365');	
	userInfo=null;
	flag=true;
	askData = null;
	isSeeNotf ="0";
	initOwnContent();
	$("#own_ask_replay_rsp").text("");
	$("#own_ask_replay").text("");
	//情况未知信息
}

