
function getProjectInfo(){
	var param = {
		    'manager_id': userInfo.user_id
		  };
    $.showIndicator();
    $.ajax({
      type: "POST",
      url: basePath + "getProjectInfo",
      data: param,
      success: function(data) {
        $.hideIndicator();
        if(data.code == "TRUE"){ 
        	projectInfo = data.obj;
        	showProjectInfo(data.obj);
        }else if(data.code == "FALSE"){
          $.toast(data.msg);
      }
    }
  });
}

function showProjectInfo(data){
	if(data!=null && data.length>0)
	{
		var html = "<ul>";
		for(var i=0;i<data.length;i++)
		{
			html+='<li>';
			html+='<label class="label-checkbox item-content">';
			html+='<input type="radio" name="projectradio" onclick="SelectThisRadio()" value='+i+'>';
			html+='<div class="item-media"><i class="icon icon-form-checkbox"></i></div>';
			html+='<div class="item-inner">';
			html+='<div class="item-title-row">';
			if(data[i].project_status==1)
			{
				html+='<div class="item-title">'+data[i].project_name+'</div>';
				html+='<div class="item-after" style="color:red;font-size:10px">未完成</div>';
			}else if(data[i].project_status==0){
				html+='<div class="item-title" style="text-decoration:line-through;">'+data[i].project_name+'</div>';
				html+='<div class="item-after" style="color:gray;font-size:10px">失效</div>';
			}else if(data[i].project_status==2){
				html+='<div class="item-title">'+data[i].project_name+'</div>';
				html+='<div class="item-after" style="color:blue;font-size:10px">已完成</div>';
			}
			
			html+='</div>';
			html+='</div>';
			html+='</label>';
			html+='</li>';
		}
		html += "<ul>";
		$("#ProjectList").html(html);
	}else{
		$.toast("无项目信息!");
	}
}

function initProjectInfoFromCook(){
	if(projectId!=null)
	{
		var param = {
			    'manager_id': userInfo.user_id,
			    'project_id': projectId
			  };
	    $.showIndicator();
	    $.ajax({
	      type: "POST",
	      url: basePath + "getProjectInfo",
	      data: param,
	      success: function(data) {
	        $.hideIndicator();
	        if(data.code == "TRUE"){ 
	        	if(data.obj!=null && data.obj.length>0)
        		{
	        		projectInfo = data.obj;
	        	
	    		    $("#head_project_name").text(projectInfo[0].project_name);
	    			$("#customer_name").text("姓名："+projectInfo[0].customer_name);
	    			$("#customer_phone").text("电话："+projectInfo[0].customer_phone);
	    			$("#project_addr").text("地址："+projectInfo[0].project_addr);
        		}
	        }else if(data.code == "FALSE"){
	          $.toast(data.msg);
	      }
	    }
	  });
	  initMainInfo();
	}
}

function SelectThisRadio(){
	  var projectCheck=new Array();
	  $("#head_project_name").text("");
	  $("#customer_name").val("");
	  $("#customer_phone").val("");
	  $("#project_addr").val("");
	  $('input[name="projectradio"]:checked').each(function(){
		  projectCheck.push($(this).val());
	  });
	  if(projectCheck.length==1)
	  {
		  var num = Number(projectCheck[0]) ;
		  projectId = projectInfo[num].project_id;
		  $("#head_project_name").text(projectInfo[num].project_name);
		  $("#customer_name").text("姓名："+projectInfo[num].customer_name);
		  $("#customer_phone").text("电话："+projectInfo[num].customer_phone);
		  $("#project_addr").text("地址："+projectInfo[num].project_addr);
		  if (window.localStorage) {
			    localStorage.setItem("project_id", projectId);	
			}
	      setCookie("project_id", projectId,'365');
	      initMainInfo();
	  }
	}

function clearSearchBox(){
	$("#ProjectNameSearchId").val('');
}
function SearchBox(){
	 $("#ProjectList").html("");
	 var searchInfo=$.trim($("#ProjectNameSearchId").val());
	 var param = {
			    'manager_id': userInfo.user_id,
			    'project_name':searchInfo
			  };
	 	$.showIndicator();
	    $.ajax({
	      type: "POST",
	      url: basePath + "getProjectInfo",
	      data: param,
	      success: function(data) {
	        $.hideIndicator();
	        if(data.code == "TRUE"){ 
	        	projectInfo = data.obj;
	        	showProjectInfo(data.obj);
	        }else if(data.code == "FALSE"){
	          $.toast(data.msg);
	      }
	    }
	  }); 
}
var swiper=null;
function initSwiper(){
	//带参数初始化
	if(swiper == null){
		swiper = new Swiper('.swiper-container', {
			initialSlide:0,
			pagination: '.swiper-pagination',
			paginationClickable: true,
			spaceBetween: 30,
			centeredSlides: true,
			autoplay: 2500,
			autoplayDisableOnInteraction: false
		});
	}else{
		swiper.stopAutoplay();
		setTimeout("swiperfunc()",1000);
	}
}
function swiperfunc(){
	swiper.startAutoplay();	
}
	    